CURLOPT_PROXY_CAPATH(3)

NAME
CURLOPT_PROXY_CAPATH - specify directory holding proxy CA certificates

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXY_CAPATH, char *capath);

DESCRIPTION
Pass a char * to a zero terminated string naming a directory holding multiple CA certificates to verify the HTTPS proxy with. If libcurl is built against OpenSSL, the certificate directory must be prepared using the openssl c_rehash utility. This makes sense only when CURLOPT_SSL_VERIFYPEER(3) is enabled (which it is by default).

DEFAULT
NULL

PROTOCOLS
Everything used over an HTTPS proxy

EXAMPLE
TODO

AVAILABILITY
Added in 7.52.0 This option is supported by the OpenSSL, GnuTLS and PolarSSL backends. The NSS backend provides the option only for backward compatibility.

RETURN VALUE
Returns CURLE_OK if TLS enabled, and CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_CAINFO(3), CURLOPT_STDERR(3), CURLOPT_DEBUGFUNCTION(3),